/* ----------------------------------------------------------------
	Slider
-----------------------------------------------------------------*/

#slider {
  position: relative;
  width: 100%;
  overflow: hidden;
}

.slider-parallax {
  position: relative;
}

.slider-parallax,
.slider-parallax .swiper-container {
  visibility: visible;
  -webkit-backface-visibility: hidden;
}

.slider-parallax .slider-parallax-inner {
  position: fixed;
  width: 100%;
  height: 100%;
}

.device-touch .slider-parallax .slider-parallax-inner {
  position: relative;
}

body:not(.side-header) .slider-parallax .slider-parallax-inner {
  left: 0;
}

body:not(.stretched) .slider-parallax .slider-parallax-inner {
  left: auto;
}

#header.transparent-header + .slider-parallax .slider-parallax-inner {
  top: 0;
}

.slider-parallax .slider-parallax-inner,
.slider-parallax .slider-caption,
.slider-parallax .ei-title {
  will-change: transform;
  -webkit-transform: translate3d(0, 0, 0);
  -webkit-transition: transform 0s linear;
  -webkit-backface-visibility: hidden;
}

/* Swiper Slider
-----------------------------------------------------------------*/

.swiper_wrapper {
  width: 100%;
  height: 500px;
  overflow: hidden;
}

.full-screen .swiper_wrapper {
  height: auto;
}

.swiper_wrapper .swiper-container {
  position: relative;
  width: 100%;
  height: 100%;
  margin: 0;
  background: url("images/pattern2.png") repeat;
}

.swiper_wrapper .swiper-slide {
  position: relative;
  margin: 0;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  overflow: hidden;
}

.swiper-slide [data-caption-animate] {
  -webkit-backface-visibility: hidden;
}

.swiper-slide .video-wrap,
.section .video-wrap,
.swiper-slide .yt-bg-player,
.section .yt-bg-player {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: -1;
  top: 0;
  left: 0;
}

#slider .container {
  position: relative;
  height: 100%;
}

#slider.canvas-slider .swiper-slide img {
  width: 100%;
}

#slider.canvas-slider a {
  display: block;
  height: 100%;
}

.swiper-pagination {
  position: absolute;
  width: 100%;
  z-index: 20;
  margin: 0;
  top: auto;
  bottom: 20px !important;
  text-align: center;
  line-height: 1;
}

.swiper-pagination span {
  display: inline-block;
  cursor: pointer;
  width: 10px;
  height: 10px;
  margin: 0 4px;
  opacity: 1;
  background-color: transparent;
  border: 1px solid #fff;
  border-radius: 50%;
  -webkit-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
}

.swiper-pagination span:hover,
.swiper-pagination span.swiper-pagination-bullet-active {
  background-color: #fff !important;
}

/* Slider Caption
-----------------------------------------------------------------*/

.slider-caption,
.nivo-caption,
.flex-caption {
  position: absolute;
  top: 0;
  left: 15px;
  z-index: 20;
  max-width: 550px;
  color: #eee;
  font-size: 22px;
  font-weight: 300;
  text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.15);
  -webkit-transition: top 0.3s ease;
  -o-transition: top 0.3s ease;
  transition: top 0.3s ease;
}

.slider-caption:not(.dark),
.slider-caption:not(.dark) h2 {
  color: #fff;
  text-shadow: none;
}

.slider-caption h2 {
  font-size: 64px;
  letter-spacing: 2px;
  text-transform: uppercase;
  font-weight: 700;
  line-height: 1;
  margin-bottom: 30px;
}

.slider-caption p {
  margin-bottom: 10px;
  font-size: 24px;
}

.slider-caption.slider-caption-right {
  left: auto;
  right: 15px;
}

.slider-caption.slider-caption-center {
  position: relative;
  max-width: 800px;
  text-align: center;
  margin: 0 auto;
  left: 0;
  right: 0;
}

.slider-caption-bg {
  padding: 5px 12px;
  border-radius: 2px;
  background-color: rgba(0, 0, 0, 0.6);
  top: auto;
  bottom: 50px;
  left: 50px;
}

.slider-caption-bg.slider-caption-bg-light {
  background-color: rgba(255, 255, 255, 0.8);
  color: #333;
  font-weight: 400;
  text-shadow: none;
}

.slider-caption-top-left {
  top: 50px;
  bottom: auto;
}

.slider-caption-top-right {
  top: 50px;
  bottom: auto;
  left: auto;
  right: 50px;
}

.slider-caption-bottom-right {
  left: auto;
  right: 50px;
}

/* Slider Arrows
-----------------------------------------------------------------*/

#slider .owl-carousel {
  margin: 0;
}

#slider-arrow-left,
#slider-arrow-right,
.camera_prev,
.camera_next,
#slider .owl-prev,
#slider .owl-next,
.flex-prev,
.flex-next,
.nivo-prevNav,
.nivo-nextNav,
.slider-arrow-top-sm,
.slider-arrow-bottom-sm {
  position: absolute;
  cursor: pointer;
  z-index: 10;
  top: 50%;
  left: 0;
  margin-top: -26px;
  background-color: rgba(0, 0, 0, 0.3);
  width: 52px;
  height: 52px;
  border: 0;
  border-radius: 0 3px 3px 0;
  -webkit-transition: background-color 0.3s ease-in-out;
  -o-transition: background-color 0.3s ease-in-out;
  transition: background-color 0.3s ease-in-out;
}

.slider-arrow-top-sm,
.slider-arrow-bottom-sm {
  top: auto;
  bottom: 57px;
  left: auto;
  right: 20px;
  margin: 0;
  width: 32px;
  height: 32px;
  border-radius: 3px 3px 0 0;
}

.slider-arrow-bottom-sm {
  bottom: 20px;
  border-radius: 0 0 3px 3px;
}

.fslider[data-thumbs="true"] .flex-prev,
.fslider[data-thumbs="true"] .flex-next {
  margin-top: -64px;
}

#slider .owl-prev,
#slider .owl-next {
  -webkit-transition: background-color 0.3s ease-in-out;
  -o-transition: background-color 0.3s ease-in-out;
  transition: background-color 0.3s ease-in-out;
}

#slider-arrow-right,
.camera_next,
#slider .owl-next,
.flex-next,
.nivo-nextNav {
  left: auto;
  right: 0;
  border-radius: 3px 0 0 3px;
}

#slider-arrow-left i,
#slider-arrow-right i,
.camera_prev i,
.camera_next i,
#slider .owl-prev i,
#slider .owl-next i,
.flex-prev i,
.flex-next i,
.nivo-prevNav i,
.nivo-nextNav i,
.slider-arrow-top-sm i,
.slider-arrow-bottom-sm i {
  line-height: 50px;
  width: 34px;
  height: 52px;
  color: #ddd;
  color: rgba(255, 255, 255, 0.8);
  text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.1);
  font-size: 34px;
  text-align: center;
  margin-left: 7px;
}

.slider-arrow-top-sm i,
.slider-arrow-bottom-sm i {
  width: 32px;
  height: 32px;
  margin: 0;
  line-height: 30px;
  font-size: 18px;
  color: #fff;
  color: rgba(255, 255, 255, 1);
}

.flex-prev i {
  margin-left: 9px;
}

#slider .owl-prev i {
  margin-left: 0;
}

#slider-arrow-right i,
.camera_next i,
.nivo-nextNav i {
  margin-left: 10px;
}

.flex-next i {
  margin-left: 11px;
}

#slider .owl-next i {
  margin-right: 4px;
}

#slider .owl-nav {
  opacity: 0;
  -webkit-transition: opacity 0.3s ease-in-out;
  -o-transition: opacity 0.3s ease-in-out;
  transition: opacity 0.3s ease-in-out;
}

#slider .owl-nav div,
#slider:hover .owl-nav {
  opacity: 1;
}

#slider-arrow-left:hover,
#slider-arrow-right:hover,
.camera_prev:hover,
.camera_next:hover,
#slider .owl-prev:hover,
#slider .owl-next:hover,
.flex-prev:hover,
.flex-next:hover,
.nivo-prevNav:hover,
.nivo-nextNav:hover,
.slider-arrow-top-sm:hover,
.slider-arrow-bottom-sm:hover {
  background-color: rgba(0, 0, 0, 0.6) !important;
}

/* Slide Number
-----------------------------------------------------------------*/

#slide-number {
  position: absolute;
  opacity: 0;
  top: auto;
  right: 20px;
  bottom: 20px;
  z-index: 20;
  width: 36px;
  height: 40px;
  text-align: center;
  color: rgba(255, 255, 255, 0.8);
  text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.15);
  font-size: 18px;
  font-weight: 300;
  -webkit-transition: all 0.3s linear;
  -o-transition: all 0.3s linear;
  transition: all 0.3s linear;
}

#slider:hover #slide-number {
  opacity: 1;
}

#slide-number-current,
#slide-number-total {
  position: absolute;
  line-height: 1;
  top: 5px;
  left: 0;
}

#slide-number-total {
  top: auto;
  bottom: 5px;
  left: auto;
  right: 0;
}

#slide-number span {
  display: block;
  font-size: 32px;
  line-height: 40px;
}

/* Pagination
-----------------------------------------------------------------*/

#slider .owl-dots {
  position: absolute;
  width: 100%;
  z-index: 20;
  margin: 0;
  top: auto;
  bottom: 15px;
}

#slider .owl-dots span {
  width: 10px;
  height: 10px;
  margin: 0 3px;
  opacity: 1;
  background-color: transparent;
  border: 1px solid #fff;
}

#slider .owl-dots .owl-dot.active span,
#slider .owl-dots .owl-dot:hover span {
  background-color: #fff !important;
}

@media (max-width: 991px) {
  #header.transparent-header + #slider,
  #header.transparent-header + #page-title.page-title-parallax,
  #slider + #header.transparent-header,
  #header.transparent-header.floating-header + #slider,
  #header.transparent-header + #google-map {
    top: 0;
    margin-bottom: 0;
  }
}
@media (max-width: 1279px) {
  #buy-3-free-1 {
    background-image: url("/assets/v2/images/slider/buy3free1-mobile.png") !important;
  }
  #nye-countdown {
    background-image: url('/assets/v2/images/slider/nye-2019-promo.jpg') !important;
  }
  #hari-raya-2018 {
    background-image: url("/assets/v2/images/slider/hariraya-2018-mobile.png") !important;
  }
  #cny {
    background-image: url("/assets/v2/images/slider/CNY-celebrate-your-new-year-with-North-Borneo-Cruise-mobile.jpg") !important;
  }
  #valentine {
    background-image: url("/assets/v2/images/slider/Valentine-make-memory-with-north-borneo-cruises-mobile.jpg") !important;
  }
  #superhero {
    background-image: url("/assets/v2/images/slider/superhero_2018_mobile.jpg") !important;
  }
}
@media (max-width: 767px) {
  .swiper_wrapper:not(.force-full-screen),
  .swiper_wrapper:not(.force-full-screen):not(.canvas-slider-grid)
    .swiper-slide {
    height: 640px !important;
  }
}
@media (min-width: 480px) and (max-width: 767px) {
  #header.full-header .container,
  .container-fullwidth {
    width: 470px !important;
  }

  .container.vertical-middle {
    width: 100% !important;
  }

  .full-screen:not(.force-full-screen) .container.vertical-middle {
    width: 470px !important;
  }

  #top-search form input {
    padding-right: 60px;
  }

  .swiper_wrapper:not(.force-full-screen),
  .swiper_wrapper:not(.force-full-screen):not(.canvas-slider-grid)
    .swiper-slide {
    height: 450px !important;
  }

  .swiper_wrapper .slider-caption h2 {
    font-size: 36px;
  }

  .ei-slider {
    height: 480px;
  }

  #header.transparent-header.floating-header .container {
    width: 470px;
    padding: 0 15px;
  }
}

@media (max-width: 479px) {
  #header.full-header .container,
  .container-fullwidth {
    width: 310px !important;
  }

  .container.vertical-middle {
    width: 100% !important;
  }

  .full-screen:not(.force-full-screen) .container.vertical-middle {
    width: 310px !important;
  }

  .swiper_wrapper:not(.force-full-screen),
  .swiper_wrapper:not(.force-full-screen):not(.canvas-slider-grid)
    .swiper-slide,
  .ei-slider {
    height: 460px !important;
  }
  .swiper_wrapper .slider-caption h2 {
    font-size: 28px;
  }
}
